/* Copyright 2003-2006  Alexander V. Diemand

    This file is part of MolTalk.

    MolTalk is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    MolTalk is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with MolTalk; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA 
 */
 
/* vim: set filetype=objc: */


#ifndef MTCHAINFACTORY_H
#define MTCHAINFACTORY_H

#ifndef GNUSTEP
#include "GNUstepAdditions.h"
#endif
#include <Foundation/Foundation.h>

@class MTChain;


/*
 *  This factory can instantiate objects of the class @MTChain.
 *  If you want to create subclasses of @MTChain, implement
 *  a subclass of @self and overwrite @method(MTChainFactory,+newInstance).
 *  Then set it to be the new default factory class with @method(MTChainFactory,+setDefaultChainFactory:).
 *
 */
@interface MTChainFactory : NSObject
{
}

/* creation */
+(id)newChainWithCode:(char)code;

/* internally used */
+(id)newInstance;

/* control instantiation */
+(void)setDefaultChainFactory:(Class)klass;

@end

#endif /* MTCHAINFACTORY_H */
 
